% LIPSBG      - Runs LIPSOL on background in a batch mode.
%          It runs LIPSOL on a list of problems and at the end quits
%          Matlab.  It is used for running LIPSOL on the background.
%          The configuration parameters are specified in "config.rc".
%          The problem file is specified in prob.rc which gives the
%          extension of a problem file "probs/prob.*".
%          The output file is "output/out$$", where $$ is the pid.

% Yin Zhang, January, 1995
% Department of Mathematics and Statistics
% University of Maryland  Baltimore County
% modified March, 2003, G. Sweriduk

global OUTFID
global LIPSOLPATH

pfname = [LIPSOLPATH '\batch\prob.rc'];
[prcfid errmsg] = fopen(pfname,'r');
if (prcfid == -1) 
    error(errmsg); 
end
%probfile = fscanf(prcfid,'%s');
probfile = fgetl(prcfid);
fclose(prcfid);
probfile = [LIPSOLPATH '\batch\probs\prob.' probfile];
[probfid errmsg] = fopen(probfile,'r');
if (probfid == -1) 
    error(errmsg);
end


tdata = clock;
pid = [int2str(tdata(4)) int2str(tdata(5))]
outfile  = [LIPSOLPATH '\batch\output\out' pid];
OUTFID = fopen(outfile,'w');

datestr = [int2str(tdata(2)) '/' int2str(tdata(3)) '/' int2str(tdata(1))]; 
fprintf(OUTFID, '%s', datestr);
eval(['load ' LIPSOLPATH '\batch\config.rc']); 
lipconfig(config);
eval(['run ' LIPSOLPATH '\solvers\miip\parameters.m']);
parms = [tau0 phi0 tol maxiter];
fprintf(OUTFID, '%s\n', parms);
   
pname = fgetl(probfid);
while ~isempty(pname) & ischar(pname)
   runlipsol(pname);
    pname = fgetl(probfid);
end

fclose('all');
%quit;
