function status = findprob(pdir,pname)
% FINDPROB   search for a given problem

% Author: Yin Zhang, July 1995
% Dept Math/Stat, UMBC
% modified March, 2003, G. Sweriduk

global LIPSOLPATH

if isempty(pdir)
   MATNAME = ['..\matdir\' pname '.mat'];
   MPSNAME = ['..\mpsdir\' pname '.mps'];
   LPPNAME = ['..\lppdir\' pname '.lpp'];
else
   MATNAME = [pdir '\' pname '.mat'];
   MPSNAME = [pdir '\' pname '.mps'];
   LPPNAME = [pdir '\' pname '.lpp'];
end

status = 1;
if exist(MATNAME) 
   eval(['!mkdir ' LIPSOLPATH '\tmp']);
   eval(['!copy ' MATNAME ' ' LIPSOLPATH '\tmp\default.mat']); 
   return;
end
% if exist([MATNAME '.gz'])
%    unix(['gunzip -c ' MATNAME '.gz > /tmp/default.mat']); return;
% end
% if exist([MATNAME '.Z']) 
%    unix(['uncompress -c ' MATNAME '.Z > /tmp/default.mat']); return;
% end

% if exist([MPSNAME '.gz']) 
%    unix(['gunzip -c ' MPSNAME '.gz > /tmp/in.mps']);
% elseif exist([MPSNAME '.Z'])
%    unix(['uncompress -c ' MPSNAME '.Z > /tmp/in.mps']);
% else
if exist(MPSNAME) 
   eval(['!mkdir ' LIPSOLPATH '\tmp']);
   eval(['!copy ' MPSNAME ' ' LIPSOLPATH '\tmp\in.mps']); 
   fprintf('Running mps2mat ...\n');
   result = mps2mat(LIPSOLPATH);
   if result == 0
       disp('mps2mat successful')
   else
       disp('error in mps2mat')
   end
   return
end
% if exist('/tmp/in.mps')
%    [ignore, UNAME] = unix('uname'); 
%    last = length(UNAME);
%    if abs(UNAME(last)) == 10 
%        UNAME = UNAME(1:last-1); 
%    end
%    MPS2MAT = ['../mexdir/mps2mat.' UNAME];
%    fprintf('Running mps2mat ...\n');
%    unix([MPS2MAT ' >&/dev/null; /bin/rm /tmp/in.mps']);
% %  unix([MPS2MAT ' >  load.log; /bin/rm /tmp/in.mps']);
%    return
% end

if exist(LPPNAME)
   eval(['!mkdir ' LIPSOLPATH '\tmp']);
   readlpp(LPPNAME); 
   return; 
end
% if exist([LPPNAME '.gz']) 
%    unix(['gunzip -c ' LPPNAME '.gz > tmp.lpp']);
%    readlpp('tmp.lpp'); unix('/bin/rm tmp.lpp'); return; 
% end
% if exist([LPPNAME '.Z'])
%    unix(['uncompress -c ' LPPNAME  '.Z > tmp.lpp']);
%    readlpp('tmp.lpp'); unix('/bin/rm tmp.lpp'); return; 
% end

status = 0;
