function [A,b,c,lbounds,ubounds,BIG,NAME] = loadata(pname)
% LOADATA     Load problem data to workspace.
%	      [A,b,c,lbounds,ubounds,BIG,NAME] = loadata(pname)
%             loads the problem named pname to /tmp/default.mat.

% Yin Zhang, July, 1995
% Department of Mathematics and Statistics
% University of Maryland  Baltimore County
% modified March, 2003, G. Sweriduk

global PROBDIR ifree

if ~isempty(findstr('.',pname)) | ...
   ~isempty(findstr('/',pname)) | ...
   ~isempty(findstr(' ',pname))
   error('Space, "." or "/" not allowed in problem name');
end

found = 0;
lpdir = deblank(PROBDIR(1,:));
defname = [lpdir '\tmp\default.mat'];
if ~isempty(pname)
    if exist(defname) 
      eval(['!del ' defname]);
   end
   fprintf(['Searching for ' pname ' ...\n']);
   for i = 1:size(PROBDIR,1)
     pdir = deblank(PROBDIR(i,:));
     found = findprob(pdir,pname);
     if found 
         break; 
     end
   end
   if ~found 
       error('Problem not found.  Check spelling?'); 
   end
end

if exist(defname)
   fprintf('Loading tmp\\default.mat ...\n');
   eval(['load ' defname]);
else
   error('File tmp\default.mat does not exist');
end
