% STARTUP     - Startup file for LIPSOL.

% Yin Zhang, July, 1995
% Department of Mathematics and Statistics
% University of Maryland, Baltimore County
% modified March, 2003, G. Sweriduk

global LIPSOLPATH

% specify your path for lipsol
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
LIPSOLPATH = 'c:\matlab\lipsol';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% check Matlab path for lipsol
pth = path;
k = findstr('lipsol',pth);
if isempty(k)
%    LIPSOLPATH = getenv('LIPSOL');
     if isempty(LIPSOLPATH)
       disp('Environment variable LIPSOL not found, please set it, ');
       disp('or save Matlab path before quitting');
       disp(' ');
       LIPSOLPATH = input('Enter path for LIPSOL directory ','s');
     end
	path([LIPSOLPATH '\solvers'], path);
	path([LIPSOLPATH '\solvers\lipcomm\.lppfun'], path);
	path([LIPSOLPATH '\solvers\lipcomm'], path);
	path([LIPSOLPATH '\solvers\miip'], path);
	path([LIPSOLPATH '\solvers\lib'], path);
	path([LIPSOLPATH '\solvers\lpmex'], path);
	path([LIPSOLPATH '\mexdir'], path);
	path([LIPSOLPATH '\batch'], path);
else
    endidx = min(k) + 5;
    semisidx = findstr(';',pth);
    if isempty(semisidx) | semisidx(1) > min(k)
        LIPSOLPATH = pth(1:endidx);
    else
        if length(semisidx) == 1
            LIPSOLPATH = pth(semisidx(1)+1:endidx);
        else
            i = 0;
            while semisidx(i+1) < endidx
                i = i+1;
            end
            LIPSOLPATH = pth(semisidx(i)+1:endidx);
        end
    end
end

%clc
disp(' '); disp(' ');
fprintf('\n<< LIPSOL --- Linear programming Interior Point SOLvers >>\n');
fprintf('     This is free software with absolutely no warranty\n');
fprintf('       Version 0.4, Copyright (C) 1995-97 Yin Zhang\n\n');

lipconfig;     % default configuration

fprintf(' To list LIPSOL commands, type: help lipcomm\n');
